Bug 236251 - Screen corruption after enabling Desktop Effects
Screen corruption after enabling Desktop Effects
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-12 13:51 EDT by Michael Wiktowy
Modified: 2008-08-06 18:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot Showing Corruption (937.97 KB, image/png)
2007-04-12 13:51 EDT, Michael Wiktowy
no flags Details
Smolt Hardware Profile (4.63 KB, text/plain)
2007-04-12 13:52 EDT, Michael Wiktowy
no flags Details
xorg.conf (577 bytes, application/octet-stream)
2007-04-12 13:53 EDT, Michael Wiktowy
no flags Details
Xorg.0.log (59.88 KB, text/plain)
2007-04-12 13:53 EDT, Michael Wiktowy
no flags Details
.drirc by krh from the mentioned message (174 bytes, text/plain)
2007-11-02 10:50 EDT, Matěj Cepl
no flags Details
Xorg.0.log from F8RC3 LiveCD after adding .drirc (50.07 KB, text/plain)
2007-11-02 17:58 EDT, Michael Wiktowy
no flags Details

  None (edit)
Description Michael Wiktowy 2007-04-12 13:51:17 EDT
Description of problem:
Running the F7LiveCDtest3 and the latest rawhide 20070411 LiveCD on a Dell
Optiplex GX260 with an ATI 7500 video card (full Smolt profile attached) causes
screen corruption along the right hand side of the screen. It starts exactly
after the 1024 pixel *width* one a 1280 width x 1024 height screen. So it might
be a x<->y swapping error in the code somewhere.

Version-Release number of selected component (if applicable):
compiz included in rawhide 20070411 LiveCD

How reproducible:
Always

Steps to Reproduce:
1. Boot LiveCD
2. Start Desktop Effects
  
Actual results:
Screen corruption as shown in attached screenshot.

Expected results:
3D Effects enabled

Additional info:
I've included the autogenerated xorg.conf and the X error log as well in case
there is something revealing in there.
Comment 1 Michael Wiktowy 2007-04-12 13:51:18 EDT
Created attachment 152491 [details]
Screenshot Showing Corruption
Comment 2 Michael Wiktowy 2007-04-12 13:52:38 EDT
Created attachment 152493 [details]
Smolt Hardware Profile
Comment 3 Michael Wiktowy 2007-04-12 13:53:02 EDT
Created attachment 152494 [details]
xorg.conf
Comment 4 Michael Wiktowy 2007-04-12 13:53:38 EDT
Created attachment 152495 [details]
Xorg.0.log
Comment 5 Lionel H. 2007-06-18 05:29:34 EDT
Same problem here, with F7. I have this bug since FC6 btw. This is on a PPC.
Comment 6 Joachim Frieben 2007-08-13 10:01:06 EDT
This is a duplicate of Bug 203282 where also a workaround is given,
see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=203282#c1 .
Comment 7 Matěj Cepl 2007-11-02 10:50:37 EDT
Created attachment 246771 [details]
.drirc by krh from the mentioned message

Reporter, does using the attached file as ~/.drirc (after restarting X, of
course) make the screen corruption dissapear?
Comment 8 Michael Wiktowy 2007-11-02 17:42:10 EDT
Adding the ~/.drirc after booting with a F8RC3 LiveCD and restarting the X via
ctrl-alt-backspace did not correct the problem. The same corruption occurs still
occurs.
Comment 9 Michael Wiktowy 2007-11-02 17:58:58 EDT
Created attachment 247121 [details]
Xorg.0.log from F8RC3 LiveCD after adding .drirc

I am attaching the Xorg.0.log file that exists after:
1) booting into the F8RC3 LiveCD
2) adding the suggested .drirc into ~fedora
3) restarting X using ctrl-alt-backspace
4) attempting to enable desktop effects
5) restarting X using init3 + init 5 in a terminal as root
6) trying to re-enable the desktop effects
7) restarting X with ctrl-alt-backspace.
Comment 10 Joachim Frieben 2007-11-03 02:48:34 EDT
(In reply to comment #8)
You need to create /etc/drirc instead of $HOME/.drirc. In my case, only the
global copy allowed to get rid of the clipping effect.
Comment 11 Matěj Cepl 2007-11-04 10:08:50 EST
Reporter, sorry for confusing instructions, but could you let us know whether
the advice in comment 10 helped?
Comment 12 Michael Wiktowy 2007-11-05 10:25:00 EST
I can confirm that putting the file in /etc/drirc fixes this issue.

Thanks.
Comment 13 Bug Zapper 2008-04-03 20:03:22 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 14 Bug Zapper 2008-05-06 21:28:29 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 15 Joachim Frieben 2008-08-06 18:08:20 EDT
Fixed for current F9 w/updates including compiz-0.7.6-2.fc9 as verified for a Radeon R100 QD [Radeon 7200] connected to an HP A4576A 21" CRT. The whole setup is configured for 1400x1050@24bpp. Desktop effects work correctly across the entire screen.

Note You need to log in before you can comment on or make changes to this bug.